#include <bits/stdc++.h>
using namespace std;
int main()
{
    long long x1, y1, x2, y2, ans = 0;
    cin >> x1 >> y1 >> x2 >> y2;
    if(x1 == x2 || y1 == y2) ans = 2;
    else if(x1 - x2 == y1 - y2) ans = 1;
    cout << ans;
    return 0;
}